#### D.5.8.4 NumLocalDim

Procedure from library `numerAlg.lib` (see numerAlg_lib).

Usage:
  NumLocalDim(ideal J, list w, int e); J ideal,
  w list of an approximate value of a point v in the algebraic variety defined by J, e integer

Return:
  the local dimension of the algebraic variety defined by J at v

Example:

    LIB "numerAlg.lib";
    int e=14;
    ring r=(complex,e,I),(x,y,z),dp;
    poly f1=(x2+y2+z2-6)*(x-y)*(x-1);
    poly f2=(x2+y2+z2-6)*(x-z)*(y-2);
    poly f3=(x2+y2+z2-6)*(x-y)*(x-z)*(z-3);
    ideal J=f1,f2,f3;
    list p0=0.99999999999999+I*0.00000000000001,2,3+I*0.00000000000001;
    list p2=1,0.99999999999998,2;
    list p1=5+I,4.999999999999998+I,5+I;
    def D=NumLocalDim(J,p0,e);
    ==>
    The Local Dimension:
    0
    def D=NumLocalDim(J,p1,e);
    ==>
    The Local Dimension:
    1
    def D=NumLocalDim(J,p2,e);
    ==>
    The Local Dimension:
    2

User manual for Singular version 4.4.1, 2025, generated by texi2html.